YUM-CONFIG-MANAGER(1)

BEZEICHNUNG
yum-config-manager - Weiterleitung zum Config-Manager-Plugin von DNF

Kann die Optionen der DNF-Konfiguration verwalten, Paketquellen aktivieren oder deaktivieren und neue Paketquellen hinzufügen.

ÜBERSICHT

dnf config-manager [Optionen] <Abschnitt> …

ARGUMENTE

<Abschnitt>
    Dieses Argument kann zur expliziten Auswahl der zu verwaltenden Konfigurationsabschnitte verwendet werden. Ein Abschnitt kann entweder als main oder als Paketquellen-ID angegeben werden. Falls nichts angegeben ist, wählt das Programm den Abschnitt main und jede der innerhalb der Option --setopt verwendete Paketquellen-ID. Eine Paketquellen-ID kann mittels Platzhaltern angegeben werden.

OPTIONEN

Alle allgemeinen DNF-Optionen werden akzeptiert, siehe Optionen in dnf(8) für Details.

--help-cmd
    zeigt die Hilfe an.

--add-repo=URL
    fügt die Paketquelle aus der angegebenen Datei oder URL hinzu und aktiviert sie. Falls Sie zur Installationswurzel hinzugefügt werden muss, kombinieren Sie sie mit der Befehlszeilenoption --setopt=reposdir=/<installroot>/etc/yum.repos.d.

--dump
    schreibt die aktuellen Konfigurationswerte in die Standardausgabe.

--set-disabled, --disable
    deaktiviert die angegebenen Paketquellen (impliziert --save).

--set-enabled, --enable
    aktiviert die angegebenen Paketquellen (impliziert --save).

--save
    speichert die aktuellen Optionen (nützlich mit --setopt).

--setopt=<Option>=<Wert>
    setzt eine Konfigurationsoption. Um Konfigurationsoptionen für Paketquellen zu setzen, verwenden Sie Paketquellen-ID.Option für die <Option>. In der Paketquellen-ID werden Platzhalter akzeptiert.

    WARNUNG: DNF config-manager kann sich falsch verhalten, wenn Paketquellen, die mit Werkzeugen wie subscription-manager auf RHEL erzeugt wurden, aktiviert oder deaktiviert werden. In diesem Falle sollten Sie subscription-manager zur Ausführung solcher Aktionen verwenden.

BEISPIELE

dnf config-manager --add-repo http://example.com/eine/zusätzliche/Paketquelle.repo
    lädt Paketquelle.repo herunter und speichert sie im Paketquellenverzeichnis.

dnf config-manager --add-repo http://example.com/andere/Paketquelle
    erstellt eine neue Paketquellendatei mit http://example.com/andere/Paketquelle als Basis-URL und aktiviert sie.

dnf config-manager --dump
    zeigt die DNF-Hauptkonfiguration an.

dnf config-manager --dump <Abschnitt>
    zeigt die Konfiguration der als <Abschnitt> angegebenen Paketquelle an.

dnf config-manager --set-enabled <Paketquellen-ID>
    aktiviert die als <Paketquellen-ID> angegebene Paketquelle und speichert diese Änderung dauerhaft.

dnf config-manager --set-disabled <Paketquellen-ID1> <Paketquellen-ID2>
    deaktiviert die als <Paketquellen-ID1> und <Paketquellen-ID2> angegebenen Paketquellen.

dnf config-manager --set-disabled <Paketquellen-ID1>,<Paketquellen-ID2>
    deaktiviert die als <Paketquellen-ID1> und <Paketquellen-ID2> angegebenen Paketquellen.

dnf config-manager --save --setopt=*.proxy=http://proxy.example.com:3128/ <Paketquelle1> <Paketquelle2>
    aktualisiert die Proxy-Einstellung in den als <Paketquelle1> <Paketquelle2> angegebenen Paketquellen und speichert die Änderung dauerhaft.

dnf config-manager --save --setopt=*-debuginfo.gpgcheck=0
    aktualisiert die Einstellung zur GPG-Überprüfung (gpgcheck) in allen Paketquellen, die auf -debuginfo enden und speichert die Änderung dauerhaft.

AUTOR
Siehe AUTHORS im Paket der Core DNF Plugins.

COPYRIGHT
2023, Red Hat, lizenziert unter GPLv2+

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).